#!/bin/bash

cd "$(dirname "$0")"
echo "start backup nextcloud {{ nc_name }}"
COMPOSE_INTERACTIVE_NO_CLI=1
if [ -z `/usr/bin/docker compose ps -q db` ] || [ -z `/usr/bin/docker ps -q --no-trunc | grep $(/usr/bin/docker compose ps -q db)` ]; then
	echo "Database is not running. Backup nextcloud {{ nc_name }} aborted"
else
    /usr/bin/docker compose exec -T db pg_dump -U nextcloud nextcloud > {{ pg_nc_backupfile }}
    echo "backup nextcloud {{ nc_name }} done"
fi
